//
//  ViewController.m
//  CollectionTramiteXib
//
//  Created by Flexkid on 08/09/13.
//  Copyright (c) 2013 Diego Caridei. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.foto=[[NSArray alloc]initWithObjects:@"cane.jpeg",@"gatto.jpeg",@"cavallo.jpeg",@"maiale.jpg",@"lupo.jpg",@"foca.jpg",@"bird.jpg",nil];
    //Con questa riga non abbiamo fatto altro che registrare la nostra classe e dargli un ID
    [self.collectionView registerClass:[MiaCella class] forCellWithReuseIdentifier:@"Mia_Cella"];

}

//metodo utilizzato  per impostare il numero di celle
-(NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section{
    return [self.foto count];
    
}
//metodo per l'impostazione del contenuto delle celle
-(UICollectionViewCell*)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath{
    MiaCella *miaCella=[collectionView dequeueReusableCellWithReuseIdentifier:@"Mia_Cella" forIndexPath:indexPath];
   miaCella.imageView.image=[ UIImage imageNamed:[self.foto  objectAtIndex:indexPath.row]];
    return miaCella;
}

//metodo per dimensione delle celle
-(CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout sizeForItemAtIndexPath:(NSIndexPath *)indexPath{
    return CGSizeMake(55, 55);
}
//metodo per settare lo spazio tra le colonne 
-(CGFloat)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout minimumInteritemSpacingForSectionAtIndex:(NSInteger)section{
    return 3;
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
